# Uses of Class
org.apache.lucene.internal.hppc.IntLongHashMap.IntLongCursor

Packages that use IntLongHashMap.IntLongCursor
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of IntLongHashMap.IntLongCursor in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return types with arguments of type IntLongHashMap.IntLongCursor
  Modifier and Type
  Method
  Description
  `Iterator<IntLongHashMap.IntLongCursor>`
  IntLongHashMap.`iterator()`
  Method parameters in org.apache.lucene.internal.hppc with type arguments of type IntLongHashMap.IntLongCursor
  Modifier and Type
  Method
  Description
  `int`
  IntLongHashMap.`putAll(Iterable<? extends IntLongHashMap.IntLongCursor> iterable)`
  Puts all key/value pairs from a given iterable into this map.